var browser = (function (agent) {
  switch (true) {
    case agent.indexOf("edge") > -1: return "edge";
    case agent.indexOf("edg") > -1: return "chromium based edge";
    case agent.indexOf("opr") > -1 && !!window.opr: return "opera";
    case agent.indexOf("chrome") > -1 && !!window.chrome: return "chrome";
    case agent.indexOf("trident") > -1: return "ie";
    case agent.indexOf("firefox") > -1: return "firefox";
    case agent.indexOf("safari") > -1: return "safari";
    default: return "other";
  }
})(window.navigator.userAgent.toLowerCase());

chrome.storage.sync.get('defaultnewtab', (storage) => {
  if(storage.defaultnewtab) {
    if (browser === 'chromium based edge') {
      chrome.tabs.update({ url: "https://ntp.msn.com/edge/ntp" })
    } else {
      chrome.tabs.update({ url: "chrome-search://local-ntp/local-ntp.html" })
    }
  } else {
    var refScript = document.getElementsByTagName('script')[0];
    var script = document.createElement('script');
    script.src = 'js/app.bundle.js';
    refScript.parentNode.insertBefore(script, refScript);
  }
});