function httpGet(theUrl) {
  var xmlHttp = null;

  xmlHttp = new XMLHttpRequest();
  xmlHttp.open( "GET", theUrl, false );
  xmlHttp.send( null );
  return xmlHttp.responseText;
}

function showIframe(src) {
  var iframe = document.createElement('iframe');
  iframe.id = 'wakelet-iframe';
  iframe.style.position = 'fixed';
  iframe.style.setProperty('width', '100%', 'important');
  iframe.style.top = '0px';
  iframe.style.left = '0px';
  iframe.style.setProperty('height', '100%', 'important');
  iframe.style.zIndex = '2000000';
  iframe.style.backgroundColor = 'transparent';
  iframe.allowtransparency = 'true';
  iframe.frameBorder = '0';
  iframe.scrolling = 'no';

  iframe.style.display = 'block';

  iframe.src = src;

  document.body.appendChild(iframe);
}

function closeIframe() {
  document.getElementById('wakelet-iframe').remove();
}

function togglePopup(tabId, customUrl, buttonClicked) {
  if (!document.getElementById('wakelet-iframe')) {
    let cachebuster = Math.round(new Date().getTime() / 1000);

    let url = (customUrl) ? "&url=" + encodeURIComponent(customUrl) : "";

    showIframe(chrome.extension.getURL('popup.build.html?tabId=' + tabId + '&cacheBuster=' + cachebuster + url + '&buttonClicked=' + buttonClicked));
  } else {
    closeIframe();
  }
}

chrome.runtime.onMessage.addListener((request, sender, sendResponse) => {
  if (request.type === 'togglePopup') {
    togglePopup(request.tabId, request.customUrl, request.buttonClicked)
  } else if (request.type === 'closeIframe') {
    closeIframe();
  } else if (request.type === 'createCollectionsWithTab') {
    sendResponse({message: "createCollectionsWithTab"});
  } else if (request.greeting == "hello") { // fix for chrome not loading contentscript
    sendResponse({message: "hi"});
  }
});
