window.Wakelet = window.Wakelet || {};
window.Wakelet.Global = window.Wakelet.Global || {};
window.Wakelet.Global.APIURL = 'https://api.wakelet.com';
window.Wakelet.Global.UPLOAD_ROOT = 'https://uploads.wakelet.com';

var browser = browser || chrome;

browser.storage.local.get(function (obj) {
  if (obj.authtoken) {
    let authtoken = localStorage.getItem('authtoken');

    if (!authtoken || authtoken !== obj.authtoken) {
      localStorage.setItem('authtoken', obj.authtoken);
    }
  } else if (localStorage.getItem('authtoken')) {
    localStorage.removeItem('authtoken');
    location.reload();
  }
});

browser.storage.onChanged.addListener(function(changes, namespace) {
  browser.storage.local.get(function (obj) {
    let authtoken = obj.authtoken;
   
    if (authtoken) {
      localStorage.setItem('authtoken', authtoken);
      location.reload();
    } else {
      localStorage.removeItem('authtoken');
      location.reload();
    }
  });
});

function getParameterByName(name, url) {
  if (!url) {
    url = window.location.href;
  }
  name = name.replace(/[\[\]]/g, "\\$&");
  var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"),
      results = regex.exec(url);
  if (!results) return null;
  if (!results[2]) return '';
  return decodeURIComponent(results[2].replace(/\+/g, " "));
}

function handleMessage(event) {
  if ( event.data && event.data.event ) {
    if ( event.data.event === 'addedItem' ) {
      
      setTimeout(function() {
        browser.runtime.sendMessage({type: "closeIframe", tabId: getParameterByName('tabId')});
      }, 2000);
    } else if ( event.data.event === 'addedToWake' ) {
      
      setTimeout(function() {
        browser.runtime.sendMessage({type: "closeIframe", tabId: getParameterByName('tabId')});
      }, 2000);
    } else if ( event.data.event === 'closeIframe' ) {
      browser.runtime.sendMessage({type: "closeIframe", tabId: getParameterByName('tabId')});
    }
  }
}

window.addEventListener('message', handleMessage);